Subject: Re: bug#70411: [bug] install(1) fails to read /dev/stdin on Darwin

From: Paul Eggert <[email-masked]>
Date: Tue, 16 Apr 2024 12:56:07 -0700

On 4/16/24 07:47, Alejandro Colomar wrote:
> Since you couldn't reprodude it in a recent Darwin, maybe it's
> just a bug in an old Darwin.

It'd have to be pretty old. As near as I can see from 
xnu/bsd/kern/sys_pipe.c, the st_ino field was zero (i.e., not random) 
even in xnu-792 dated 2005.

I'd be leery of changing this part of coreutils/src/copy.c without 
knowing more about exactly why bug occurs on (older?) Darwin, as 
weakening the check would make GNU 'install' easier to attack.